# Uses of Interface
org.eclipse.mat.snapshot.model.IThreadStack

Packages that use IThreadStack
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of IThreadStack in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return IThreadStack
Modifier and Type
Method
Description
`IThreadStack`
SnapshotImpl.`getThreadStack(int objectId)`

## Uses of IThreadStack in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return IThreadStack
Modifier and Type
Method
Description
`IThreadStack`
ISnapshot.`getThreadStack(int objectId)`
Get a the stack trace information for a given thread object, if thread stack information is available in this snapshot.